diff audio-tones/dtmf @ 164:9336a48746d9

audio-tones: experimental tools and findings
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 13 Nov 2021 04:49:06 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/audio-tones/dtmf	Sat Nov 13 04:49:06 2021 +0000
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# generate a DTMF '#' keybeep, low and high ampl set on the command line
+
+if [ $# != 2 ]
+then
+	echo "usage: $0 low-ampl high-ampl" 1>&2
+	exit 1
+fi
+
+exec fc-shell "at@tone=0,100,941,$1,0,100,1477,$2,0,100,0,0,100,100,100,1"